> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sturdytechnologies.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Users

> Get all Merchant's customers account



## OpenAPI

````yaml GET /users
openapi: 3.1.0
info:
  title: Sturdy Technologies API
  description: API documentation for Sturdy Technologies Service
  contact: {}
  version: '1.0'
servers:
  - url: https://sandbox.sturdytechnologies.com/v3
    description: Sandbox server
security: []
paths:
  /users:
    get:
      tags:
        - Users
      summary: Get All Users
      description: Get all Merchant's customers account
      operationId: getAllUsers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchUsersResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResp'
      security:
        - BearerAuth: []
components:
  schemas:
    FetchUsersResp:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PaginatedUsers'
        message:
          type: string
        success:
          type: boolean
    ErrorResp:
      type: object
      properties:
        message:
          type: string
          example: Invalid request
        success:
          type: boolean
          example: false
    PaginatedUsers:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/FetchUserData'
        page:
          type: integer
        total_count:
          type: integer
        total_pages:
          type: integer
    FetchUserData:
      type: object
      properties:
        email:
          type: string
          example: user@example.com
        firstname:
          type: string
          example: John
        lastname:
          type: string
          example: Doe
        telephone:
          type: string
          example: '+1234567890'
        user_id:
          type: string
          example: '12345'

````